Summary: Check CD-ROM image 
Name: ckcdrom
Version: 1.2
Release: 3
Copyright: GPL 
Group: utils/Applications
Source0: checkcd-1.2.tar.gz 
Source1: mirroring.txt 
Source2: chkcdboot.c 
Source3: mkisoimage 
Packager: bugs@redhat.com
Vendor: Red Hat Software, Inc. 
BuildRoot: /var/tmp/ckcdrom

%changelog

* Wed Sep 9 1998 Mike Wangsmo <wanger@redhat.com>

- added the mkisoimage script to the package
- added GPL licensing stuff

* Thu Sep 3 1998 Derek Tattersall <dlt@redhat.com>

- added code to list stale NFS handles and check for existence of pgp.

* Sat Aug 15 1998 Derek Tattersall <dlt@redhat.com>

- added --nopgp and --version
- modified chkcdboot code to use syslinux instead of lilo

* Sat Aug 15 1998 Mike Wangsmo <wanger@redhat.com>

- initial build 

%description
Script that checks a package tree (or an ISO image) to see that it is in the
"proper" format for the Red Hat installer.

%prep
%setup -c 
cp $RPM_SOURCE_DIR/chkcdboot.c .
gcc -o chkcdboot chkcdboot.c

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8

install -m755 -o root -g root checkcd/ckcdrom $RPM_BUILD_ROOT/usr/bin/ckcdrom
install -m755 -o root -g root chkcdboot $RPM_BUILD_ROOT/usr/bin/chkcdboot
install -m755 -o root -g root $RPM_SOURCE_DIR/mkisoimage $RPM_BUILD_ROOT/usr/bin/mkisoimage

cp -a checkcd/ckcdrom.8 $RPM_BUILD_ROOT/usr/man/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc $RPM_SOURCE_DIR/mirroring.txt
%doc checkcd/CHANGES checkcd/COPYING checkcd/CREDITS

/usr/bin/ckcdrom
/usr/bin/chkcdboot
/usr/bin/mkisoimage
/usr/man/man8/ckcdrom.8
